/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: A_bankLwrite.java,v 1.1 2004/12/01 16:40:58 durieuxp Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.distribution;

import java.rmi.NoSuchObjectException;
import java.rmi.ServerException;

public abstract class A_bankLwrite extends A_bankWrite {

    public A_bankLwrite(String name) {
        super(name);
    }

    public void testLongCreate() throws Exception {
        ope(OP_CREATE, 20000, 80000, 400, 1);
    }

    public void testMultiLongCreate() throws Exception {
        ope(OP_CREATE, 10000, 50000, 80, 4);
    }


}
